summaryrefslogtreecommitdiffstats
path: root/source/d/cscope
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/cscope')
-rwxr-xr-xsource/d/cscope/cscope.SlackBuild8
-rw-r--r--source/d/cscope/slack-desc2
2 files changed, 5 insertions, 5 deletions
diff --git a/source/d/cscope/cscope.SlackBuild b/source/d/cscope/cscope.SlackBuild
index 4ebf2c36a..1f4ea40fb 100755
--- a/source/d/cscope/cscope.SlackBuild
+++ b/source/d/cscope/cscope.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cscope
-VERSION=${VERSION:-$(echo $(basename $(echo $PKGNAM-*.tar.xz | cut -f 2 -d -) .tar.xz) | cut -f 2 -d -)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
chown -R root:root .
find . \
@@ -88,7 +88,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --build=${ARCH}-slackware-linux
+ --build=${ARCH}-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/d/cscope/slack-desc b/source/d/cscope/slack-desc
index 4521c5f7e..c5e78c6ea 100644
--- a/source/d/cscope/slack-desc
+++ b/source/d/cscope/slack-desc
@@ -12,7 +12,7 @@ cscope: Cscope is a text screen based source browsing tool. Although it is
cscope: primarily designed to search C code (including lex and yacc files),
cscope: it can also be used for C++ code.
cscope:
-cscope: For more information, see http://cscope.sourceforge.net.
+cscope: Homepage: http://cscope.sourceforge.net
cscope:
cscope:
cscope: